Name: libcanberra
Version: 0.10
Release: alt1

Summary: Portable Sound Event Library
Group: System/Libraries
License: LGPLv2+
Url: http://0pointer.de/lennart/projects/libcanberra

Source: http://0pointer.de/lennart/projects/libcanberra/%name-%version.tar.gz

%define pa_ver 0.9.11
%define gtk_ver 2.13.4

Requires(post,preun): GConf
Requires: sound-theme-freedesktop
Requires: libpulseaudio >= %pa_ver

BuildPreReq: libGConf-devel
BuildPreReq: libpulseaudio-devel >= %pa_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildRequires: gcc-c++ gstreamer-devel gtk-doc libalsa-devel
BuildRequires: libgtk+2-devel libltdl-devel libvorbis-devel libtdb-devel

%description
A small and lightweight implementation of the XDG Sound Theme Specification
(http://0pointer.de/public/sound-theme-spec.html).

%package gtk2
Summary: Gtk+ Bindings for libcanberra
Group: System/Libraries
Requires: %name = %version-%release

%description gtk2
Gtk+ bindings for libcanberra

%package devel
Summary: Development files for libcanberra
Group: Development/C
Requires: %name = %version-%release
Requires: pkgconfig
Requires: libgtk2-devel

%description devel
This package contains files for libcanberra client development

%package devel-doc
Summary: Development documentation for libcanberra
Group: Development/C
BuildArch: noarch
Conflicts: %name < %version

%description devel-doc
This package contains development documentation for libcanberra

%prep
%setup -q

%build
%configure --disable-static \
	--disable-rpath \
	--enable-pulse \
	--enable-alsa \
	--enable-null \
	--with-builtin=dso

%make_build

%install
%make DESTDIR=%buildroot install
rm -f %buildroot%_docdir/libcanberra/README

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%files
%_libdir/libcanberra.so.*
%dir %_libdir/libcanberra
%_libdir/libcanberra/libcanberra-alsa.so
%_libdir/libcanberra/libcanberra-pulse.so
%_libdir/libcanberra/libcanberra-null.so
%_libdir/libcanberra/libcanberra-multi.so
%_libdir/libcanberra/libcanberra-oss.so
%_libdir/libcanberra/libcanberra-gstreamer.so
%config %_sysconfdir/gconf/schemas/libcanberra.schemas
%doc README

%files gtk2
%_libdir/libcanberra-gtk.so.*
%_libdir/gtk-2.0/modules/libcanberra-gtk-module.so
%_bindir/canberra-gtk-play
%_datadir/gnome/autostart/libcanberra-login-sound.desktop
%_datadir/gnome/shutdown/libcanberra-logout-sound.sh

%files devel
%_includedir/canberra-gtk.h
%_includedir/canberra.h
%_libdir/libcanberra-gtk.so
%_libdir/libcanberra.so
%_libdir/pkgconfig/libcanberra-gtk.pc
%_libdir/pkgconfig/libcanberra.pc

%files devel-doc
%_datadir/gtk-doc/html/*

%exclude %_libdir/libcanberra/*.la
%exclude %_libdir/gtk-2.0/modules/*.la

%changelog
* Mon Nov 24 2008 Yuri N. Sedunov <aris@altlinux.org> 0.10-alt1
- 0.10
- remove obsolete ldconfig in %%post{,un}
- new devel-doc noarch subpackage

* Mon Sep 29 2008 Yuri N. Sedunov <aris@altlinux.org> 0.9-alt1
- adopted for Sisyphus 

* Thu Sep 9 2008 Lennart Poettering <lpoetter@redhat.com> 0.9-1
- New version

* Thu Aug 28 2008 Lennart Poettering <lpoetter@redhat.com> 0.8-2
- Fix build-time dep on Gstreamer

* Thu Aug 28 2008 Lennart Poettering <lpoetter@redhat.com> 0.8-1
- New version

* Thu Aug 14 2008 Lennart Poettering <lpoetter@redhat.com> 0.7-1
- New version

* Mon Aug 4 2008 Lennart Poettering <lpoetter@redhat.com> 0.6-1
- New version

* Wed Jul 30 2008 Lennart Poettering <lpoetter@redhat.com> 0.5-4
- Really add versioned dependency on libpulse

* Wed Jul 30 2008 Lennart Poettering <lpoetter@redhat.com> 0.5-3
- Ship libcanberra-gtk-module.sh directly in CVS

* Wed Jul 30 2008 Lennart Poettering <lpoetter@redhat.com> 0.5-2
- Fix build

* Wed Jul 30 2008 Lennart Poettering <lpoetter@redhat.com> 0.5-1
- New version

* Mon Jul 28 2008 Lennart Poettering <lpoetter@redhat.com> 0.4-3
- Add versioned dependency on libpulse

* Sun Jul 27 2008 Lennart Poettering <lpoetter@redhat.com> 0.4-2
- Fix module name in libcanberra-gtk-module.sh

* Fri Jul 25 2008 Lennart Poettering <lpoetter@redhat.com> 0.4-1
- New version
- Install libcanberra-gtk-module.sh

* Mon Jun 16 2008 Lennart Poettering <lpoetter@redhat.com> 0.3-2
- Add dependency on sound-theme-freedesktop

* Fri Jun 13 2008 Lennart Poettering <lpoetter@redhat.com> 0.3-1
- Initial package, based on Colin Guthrie's Mandriva package

